#ifndef QGREXNETWORK_H
#define QGREXNETWORK_H

#include "qgnetworkinterface.h"

//#include <QObject>
//#include <QHostAddress>

class QgRexNetwork: public QgNetworkInterface //public QObject,
{
    //Q_OBJECT

    //Q_PROPERTY(QString networkIP READ networkIP WRITE setNetworkIP)
    //Q_PROPERTY(unsigned int networkMTU READ networkMTU WRITE setNetworkMTU)

public:
    QgRexNetwork(); //QObject* parent=0);
    virtual ~QgRexNetwork();

#if 0
    void setNetworkInterface(const QHostAddress& adr);
    QHostAddress networkInterface();

    QHostAddress networkBroadcast();

    QString networkIP() const;
    void setNetworkIP(const QString& str);

    unsigned int networkMTU() const;
    void setNetworkMTU(unsigned int);
#endif
};

#endif // QGREXNETWORK_H
